summaryrefslogtreecommitdiff
path: root/xtests/tst-pam_shells.sh
diff options
context:
space:
mode:
authorStefan Schubert <schubi@suse.de>2022-11-15 13:55:40 +0100
committerStefan Schubert <stefan@gefluegelhof-schubert.de>2022-12-07 16:24:09 +0100
commite4917734c63ef6e887b3c4760771a14f75b9eb1f (patch)
treeed56bd49808fbe0fceefe1777ec980ac6d9f72c3 /xtests/tst-pam_shells.sh
parent5c1d6301fe872d5954de5e4ddf74adec9711c177 (diff)
downloadlinux-pam-git-e4917734c63ef6e887b3c4760771a14f75b9eb1f.tar.gz
pam_shells: Added xtest test case
Test case for checking pam_authenticate in pam_shells.
Diffstat (limited to 'xtests/tst-pam_shells.sh')
-rwxr-xr-xxtests/tst-pam_shells.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/xtests/tst-pam_shells.sh b/xtests/tst-pam_shells.sh
new file mode 100755
index 00000000..5093f689
--- /dev/null
+++ b/xtests/tst-pam_shells.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+/usr/sbin/groupadd tstpamshells1
+/usr/sbin/useradd -s /bin/testbash -G tstpamshells1 -p '!!' tstpamshells
+/usr/sbin/useradd -s /bin/testnoshell -G tstpamshells1 -p '!!' tstnoshell
+./tst-pam_shells
+RET=$?
+/usr/sbin/userdel -r tstpamshells 2> /dev/null
+/usr/sbin/userdel -r tstnoshell 2> /dev/null
+/usr/sbin/groupdel tstpamshells1 2> /dev/null
+exit $RET